diff a/test/hotspot/jtreg/premain/simple/run.sh b/test/hotspot/jtreg/premain/simple/run.sh
--- /dev/null
+++ b/test/hotspot/jtreg/premain/simple/run.sh
@@ -0,0 +1,42 @@
+# Copyright (c) 2023, Oracle and/or its affiliates. All rights reserved.
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# This code is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 2 only, as
+# published by the Free Software Foundation.
+#
+# This code is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# version 2 for more details (a copy is included in the LICENSE file that
+# accompanied this code).
+#
+# You should have received a copy of the GNU General Public License version
+# 2 along with this work; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+# or visit www.oracle.com if you need additional information or have any
+# questions.
+
+# See ../lib/premain-run.sh for command-line options
+
+# simple/run.sh
+#
+#    Run a simple test case with a loop. Tests CDS handling of Lambda and AOT
+
+if test ! -f Simple.jar || test Simple.java -nt Simple.jar; then
+    rm -rf tmpclasses
+    mkdir -p tmpclasses
+    javac -d tmpclasses Simple.java || exit
+    jar cf Simple.jar -C tmpclasses . || exit
+    rm -rf tmpclasses
+fi
+
+JAVA=$1; shift 
+JAR=Simple.jar
+CMDLINE="-cp $JAR Simple loopa"
+APP=Simple
+
+source ../lib/premain-run.sh
+
